#!/usr/bin/env python3
import random
import math
def circle(ctx,x,y,r):
    ctx.arc(x,y,r,0,math.pi*2.)
    ctx.stroke()


def circle_fill(ctx,x,y,r):
    ctx.arc(x,y,r,0,math.pi*2.)
    ctx.fill()

def draw_crater(ctx,x,y,r):
    for n in range(3):
        off_x = random.uniform(-0.01, 0.01)
        off_y = random.uniform(-0.01, 0.01)
        ctx.arc(x + off_x, y + off_y, r, 0, math.pi*2.)
        ctx.fill()



def random_color():
    red = random.uniform(0, 1)
    green = random.uniform(0, 1)
    blue = random.uniform(0, 1)
    return red, green, blue
